| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::StrokeParameters Struct Reference

A structure to store all of the parameters related to stroking a path or basic geometry object. More...

`#include <stroke_parameters.h>`

## Public Member Functions
constexpr bool | operator== (const StrokeParameters &parameters) const =default

## Public Attributes
Scalar | width = 0.0f
Cap | cap = Cap::kButt
Join | join = Join::kMiter
Scalar | miter_limit = 4.0f

## Detailed Description

A structure to store all of the parameters related to stroking a path or basic geometry object.

Definition at line 28 of file stroke_parameters.h.

## Member Function Documentation

## ◆ operator==()

constexpr bool impeller::StrokeParameters::operator== | ( | const StrokeParameters & | parameters | ) | const
| constexprdefault

## Member Data Documentation

## ◆ cap

Cap impeller::StrokeParameters::cap = Cap::kButt

Definition at line 30 of file stroke_parameters.h.

Referenced by impeller::DlDispatcherBase::drawPoints(), impeller::StrokeSegmentsGeometry::GetStrokeCap(), impeller::StrokeSegmentsGeometry::GetStrokeCoverage(), impeller::DlDispatcherBase::setStrokeCap(), and impeller::FirstPassDispatcher::setStrokeCap().

## ◆ join

Join impeller::StrokeParameters::join = Join::kMiter

Definition at line 31 of file stroke_parameters.h.

Referenced by impeller::StrokeSegmentsGeometry::GetStrokeCoverage(), impeller::StrokeSegmentsGeometry::GetStrokeJoin(), impeller::DlDispatcherBase::setStrokeJoin(), and impeller::FirstPassDispatcher::setStrokeJoin().

## ◆ miter_limit

Scalar impeller::StrokeParameters::miter_limit = 4.0f

Definition at line 32 of file stroke_parameters.h.

Referenced by impeller::StrokeSegmentsGeometry::GetMiterLimit(), impeller::StrokeSegmentsGeometry::GetStrokeCoverage(), impeller::Geometry::MakeStrokePath(), impeller::DlDispatcherBase::setStrokeMiter(), and impeller::FirstPassDispatcher::setStrokeMiter().

## ◆ width

Scalar impeller::StrokeParameters::width = 0.0f

Definition at line 29 of file stroke_parameters.h.

Referenced by impeller::BM_StrokePath(), impeller::StrokeSegmentsGeometry::ComputeAlphaCoverage(), impeller::Canvas::DrawArc(), impeller::Canvas::DrawCircle(), impeller::Canvas::DrawOval(), impeller::DlDispatcherBase::drawPoints(), impeller::StrokeSegmentsGeometry::GetStrokeCoverage(), impeller::StrokeSegmentsGeometry::GetStrokeWidth(), impeller::DlDispatcherBase::setStrokeWidth(), impeller::FirstPassDispatcher::setStrokeWidth(), impeller::testing::TEST(), and impeller::testing::TEST_P().

The documentation for this struct was generated from the following file:

- impeller/geometry/stroke_parameters.h